Name:           ocaml-janest-core
Version:        108.07.01
Release:        %mkrel 3
Summary:        Jane Street Capital's alternative standard library for OCaml
License:        ASL 2.0
Group:          Development/OCaml
URL:            https://ocaml.janestreet.com/
Source0:        http://ocaml.janestreet.com/ocaml-core/%{version}/individual/core-%{version}.tar.gz
BuildRequires:  ncurses-devel
BuildRequires:  ocaml-findlib
BuildRequires:  camlp4
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-res-devel
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-sexplib-devel == %{version}
BuildRequires:  ocaml-type-conv == %{version}
BuildRequires:  ocaml-bin-prot-devel == %{version}
BuildRequires:  ocaml-comparelib-devel == %{version}
BuildRequires:  ocaml-variantslib == %{version}
BuildRequires:  ocaml-fieldslib == %{version}
BuildRequires:  ocaml-pa_ounit == %{version}
BuildRequires:  ocaml-pipebang == %{version}
BuildRequires:  chrpath
Requires: ocaml-compiler
Requires: ocaml-variantslib
Requires: ocaml-sexplib
Requires: ocaml-fieldslib
Requires: ocaml-bin-prot
Requires: ocaml-comparelib
Requires: ocaml-pa_ounit
Requires: ocaml-pipebang
Requires: ocaml-res

%description
Core is Jane Street Capital's alternative standard library for OCaml.

Core does a number of things: it provides tail recursive versions of
non tail recursive functions in the standard library; changes the
signature of many of the standard modules; includes generic
serialization for most types, and adds some entirely new modules and
new functionality within existing modules.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-res-devel
Requires:       ocaml-pa_ounit-devel
Requires:       ocaml-bin-prot-devel
Requires:       ocaml-comparelib-devel
Requires:       ocaml-fieldslib-devel
Requires:       ocaml-sexplib-devel
Requires:       ocaml-variantslib-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n core-%{version}

%build
make


%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/core
make install

strip $OCAMLFIND_DESTDIR/stublibs/dll*.so
chrpath --delete $OCAMLFIND_DESTDIR/stublibs/dll*.so


%files
%doc COPYRIGHT.txt LICENSE.txt INSTALL.txt
%dir %{_libdir}/ocaml/core
%{_libdir}/ocaml/core/META
%{_libdir}/ocaml/core/*.cma
%{_libdir}/ocaml/core/*.cmi
%{_libdir}/ocaml/core/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
# TODO: make the doc:
#%doc doc/
%{_libdir}/ocaml/core/*.a
%{_libdir}/ocaml/core/*.cmx
%{_libdir}/ocaml/core/*.cmxa
%{_libdir}/ocaml/core/*.ml
%{_libdir}/ocaml/core/*.mli


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 108.07.01-3.mga3
+ Revision: 361411
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 blue_prawn <blue_prawn> 108.07.01-2.mga3
+ Revision: 321598
- no change, just a rebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 319795
- updated to last version 108.07.01
- constrain the set of libs from janest to be the same version

* Tue Oct 02 2012 blue_prawn <blue_prawn> 108.07.00-2.mga3
+ Revision: 301887
- build requires ocaml-compiler-libs
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 108.07.00-1.mga3
+ Revision: 300493
- build requires ocaml-comparelib
- updated to last version 108.07.00
- upadeted to last version 108.07.00
- new rpm group for ocaml

* Sat Jul 28 2012 malo <malo> 108.00.02-2.mga3
+ Revision: 275454
- add missing requires to various ocaml libs

* Fri Jul 27 2012 malo <malo> 108.00.02-1.mga3
+ Revision: 274684
- update to new version 108.00.02
- spec clean-up after import from Mandriva
- imported package ocaml-janest-core

